﻿using Syncfusion.DocIO.DLS;
using Syncfusion.DocIORenderer;
using System;
using System.IO;

namespace SyncfusionEndlessPDF
{
    class Program
    {
        static void Main(string[] args)
        {

            if (File.Exists("result.docx"))
                File.Delete("result.docx");

            using (var document = new WordDocument())
            {
                using (var template = new WordDocument(File.OpenRead("test1.docx"), Syncfusion.DocIO.FormatType.Automatic))
                {
                    for(var i = 0; i < 3; i++)
                    {
                        using (var doc = template.Clone())
                        {
                            document.ImportContent(doc);
                        }
                    }
                }

                using (var fs = File.Create("result.docx"))
                    document.Save(fs, Syncfusion.DocIO.FormatType.Docx);
            }

            Console.WriteLine("DONE");
        }
    }
}
